HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get all MSP tenants information.

This API provides the list of tenants for an MSP. Tenants list includes details like tenant name, tenant CID, sites count, devices count with health status, alerts count, etc. The query parameters allow you to narrow down the results that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.
| Field | Operators |
| ----------------- | ---- |
| tenantName | eq |
| deviceOwnership | in |

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

Using Special Character for filtering the tenantName

  • If the tenantName needs to be filtered with a special character like a single quote ', then it has to be passed as escaped character.

  • For example: tenantName eq 'Tenant\\'s account 1'

string
length ≤ 256
Defaults to alerts DESC

Sorting can be supported on the following fields: tenantName, totalSites, deviceHealthStatus, degradedSites, alerts, deviceOwnership and createdTime.

For alerts, sorting will be done in order of critical, major and minor counts. For example if input is alerts DESC, then the tenant row with the highest critical alerts count will appear at the top.

For deviceHealthStatus sorting will be done in order of poor, fair and good counts. For example if input is deviceHealthStatus DESC, then the tenant row with the highest poor health count will appear at the top.

int32
required
≤ 100
Defaults to 10

Denotes the maximum number of tenants returned in the response. Maximum value is 100.

string
required

Specifies the pagination cursor for the next page of resources. The minimum value is 1.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json